### Class

# Pos OskKey

since: 0

#### Description [src]

    final class Pos.OskKey : GObject.Object
    {
      /* No available fields */
    }

A key on the osk widget.

Available since: 0

#### Ancestors

- GObject

#### Constructors

###### pos_osk_key_new

No description available.

since: 0

#### Instance methods

###### pos_osk_key_get_box

No description available.

since: 0

###### pos_osk_key_get_expand

No description available.

since: 0

###### pos_osk_key_get_label

No description available.

since: 0

###### pos_osk_key_get_layer

No description available.

since: 0

###### pos_osk_key_get_pressed

No description available.

since: 0

###### pos_osk_key_get_symbol

No description available.

since: 0

###### pos_osk_key_get_symbols

Get the additional symbols. For the primary symbol see `pos_osk_key_get_symbol()`.

since: 0

###### pos_osk_key_get_use

No description available.

since: 0

###### pos_osk_key_get_width

No description available.

since: 0

###### pos_osk_key_set_box

No description available.

since: 0

###### pos_osk_key_set_pressed

No description available.

since: 0

###### pos_osk_key_set_width

No description available.

since: 0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Pos.OskKey:expand

Whether the key expands to use free space in available in a row.

since: 0

###### Pos.OskKey:icon

The icon that is shown on the key.

since: 0

###### Pos.OskKey:label

The label that is shown on the key. If unset the PosOskKey:symbol is used instead.

since: 0

###### Pos.OskKey:layer

The layer the key toggles (if any)

since: 0

###### Pos.OskKey:pressed

Whether the key is currently pressed.

since: 0

###### Pos.OskKey:style

Additional style classes.

since: 0

###### Pos.OskKey:symbol

The symbol the key represents.

since: 0

###### Pos.OskKey:symbols

Additional symbols the key represents (e.g. ä over a)

since: 0

###### Pos.OskKey:use

What the key is used for.

since: 0

###### Pos.OskKey:width

Width of key in “key units” (smallest key width).

since: 0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PosOskKeyClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.